Package com.oracle.nosql.spring.data.repository.query

# Class NosqlQueryCreator

java.lang.Object
org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>
com.oracle.nosql.spring.data.repository.query.NosqlQueryCreator

public class NosqlQueryCreator extends org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NosqlQueryCreator(org.springframework.data.repository.query.parser.PartTree tree, NosqlParameterAccessor accessor, org.springframework.data.mapping.context.MappingContext<?,NosqlPersistentProperty> mappingContext, org.springframework.data.repository.query.ReturnedType returnedType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Criteria`
  `and(org.springframework.data.repository.query.parser.Part part, Criteria base, Iterator<Object> parameters)`
  `protected NosqlQuery`
  `complete(Criteria criteria, org.springframework.data.domain.Sort sort)`
  `protected Criteria`
  `create(org.springframework.data.repository.query.parser.Part part, Iterator<Object> parameters)`
  `protected Criteria`
  `or(Criteria base, Criteria criteria)`

  ### Methods inherited from class org.springframework.data.repository.query.parser.AbstractQueryCreator

  `createQuery, createQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NosqlQueryCreator

    public NosqlQueryCreator(org.springframework.data.repository.query.parser.PartTree tree, NosqlParameterAccessor accessor, org.springframework.data.mapping.context.MappingContext<?,NosqlPersistentProperty> mappingContext, org.springframework.data.repository.query.ReturnedType returnedType)

- ## Method Details

  - ### create

    protected Criteria create(org.springframework.data.repository.query.parser.Part part, Iterator<Object> parameters)
    Specified by:
      `create` in class `org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>`

  - ### and

    protected Criteria and(org.springframework.data.repository.query.parser.Part part, Criteria base, Iterator<Object> parameters)
    Specified by:
      `and` in class `org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>`

  - ### or

    protected Criteria or(Criteria base, Criteria criteria)
    Specified by:
      `or` in class `org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>`

  - ### complete

    protected NosqlQuery complete(@Nullable Criteria criteria, org.springframework.data.domain.Sort sort)
    Specified by:
      `complete` in class `org.springframework.data.repository.query.parser.AbstractQueryCreator<NosqlQuery,Criteria>`